#ifdef CONFIGFILE
#include CONFIGFILE
#endif
#include <rccl.h>

main()
{
	MANIP *mnp;
	TimingLog *tlog, tbuf;
	float bias[6], force[6];
	int biasSet = 0;

	rcclSetOptions(RCCL_ERROR_EXIT);

	mnp = rcclCreate(getDefaultRobot(), 0);
	tlog = rcclTimingLogInit(0);

	rcclStart();

	SET_FORCE_READ(mnp->rbt, 1);
	while (1) {
		int i;
		delay(2000.0);
		if (biasSet == 0) {
			copyVf(bias, (float *)mnp->rbt->how->forceInput, 6);
			biasSet = 1;
		}
		subtractVf(force, (float *)mnp->rbt->how->forceInput, bias, 6);
		readMem(tlog, &tbuf);
		printVf("%10.4f\n", force, 6);
		printf("cycleTime: %g  avgErr: %g maxErr: %g\n\n",
		       tbuf.cycleTime, tbuf.avgErr, tbuf.maxErr);
	}
	rcclRelease(1);
}
