#ifdef CONFIGFILE
#include CONFIGFILE
#endif
#include <rccl.h>
#include "manex.260.h"

#define THRESHOLD -1500

touchFxn(mid, mnp)
int mid;
MANIP *mnp;
{
	HOW *how;
	static int count = 0;
#ifdef Vxw_TARGET
	static int initDone = 0;
	if (!initDone) {
		initDone = 1;
		count = 0;
		requestFlagInit(&initDone);
	}
#endif
	how = mnp->how;

	/* *if* we have an ADC channel, use it for sensor readings.
	   Otherwise, fake the touch function using the motion
	   scale value */

	if (how->numAdc > 0) {	/* specific to range of McGill ADC */
		if (how->adc & 0x1 && how->adcInput[0] < THRESHOLD) {
			stopMotion(mid, 1);
		}
	} else {
		if (motionScale(mid) > (count == 0 ? 0.2 : 0.6)) {
			stopMotion(mid, 1);
			count++;
		}
	}
}
