#define ZBASE   673.10
#define TOOLZ   125.00

#define P_X     149.09
#define P_Y     597.187
#define P_Z     -15.2664

#define B_X     P_X
#define B_Y     P_Y
#define B_Z     P_Z-TOOLZ

#define C_X     P_X
#define C_Y     (P_Y-50.0)
#define C_Z     P_Z+ZBASE-TOOLZ-100.0

typedef struct {
	float wheelRadius;
	float wheelRPS;
	float tableRPS;
#ifdef VXWORKS_CFG
	int wheelFxnInit;
	int tableFxnInit;
#endif
} ROTATE_CTRL_BLK;

typedef struct {
	float startTime;
} FXN_ARGS;

typedef struct {
	int init;
	int valid;
	float tgain;
	float rgain;
	FORCE force;
	TRSF *comply;
	MANIP *mnp;
	int badDataCount;
} COMPLY_CTRL_BLK;

typedef struct {
	int compute;
	float gain;
	float xval;
	float yval;
	float vlimit;
	void *mnpAddr;
	int tracking;
} TRACK_CTRL_BLK;
