#define ZBASE   0
#define TOOLZ   -10

#define P_X     0
#define P_Y     -250
#define P_Z     500

#define B_X     P_X
#define B_Y     P_Y
#define B_Z     P_Z-TOOLZ

#define C_X     P_X
#define C_Y     P_Y
#define C_Z     P_Z+ZBASE-TOOLZ-100.0

typedef struct {
        float wheelRadius;
        float wheelRPS;
        float tableRPS;
#ifdef VXWORKS_CFG
        int wheelFxnInit;
        int tableFxnInit;
#endif
          } ROTATE_CTRL_BLK;

typedef struct {
        float startTime;
          } FXN_ARGS;

typedef struct {
        int init;
        int valid;
        float tgain;
        float rgain;
        FORCE force;
        TRSF *comply;
        MANIP *mnp;
        int badDataCount;
          } COMPLY_CTRL_BLK;

typedef struct {
        int compute;
        float gain;
        float xval;
        float yval;
        float vlimit;
        int tracking;
          } TRACK_CTRL_BLK;

        
